unit u_options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Mask, Buttons;

type
  Tf_options = class(TForm)
    btn_ok: TBitBtn;
    btn_cancel: TBitBtn;
    chk_background: TCheckBox;
    e_working_directory: TEdit;
    Label4: TLabel;
    GroupBox1: TGroupBox;
    gb_terminators: TGroupBox;
    lab_fieldterminator: TLabel;
    lab_rowterminator: TLabel;
    e_fieldterminator: TEdit;
    e_rowterminator: TEdit;
    RadioGroup1: TRadioGroup;
    rb_character: TRadioButton;
    rb_native: TRadioButton;
    rb_none: TRadioButton;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    e_batchsize: TMaskEdit;
    e_firstrow: TMaskEdit;
    Label2: TLabel;
    Label3: TLabel;
    e_lastrow: TMaskEdit;
    procedure rb_noneClick(Sender: TObject);
    procedure rb_nativeClick(Sender: TObject);
    procedure rb_characterClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_options: Tf_options;

implementation

{$R *.DFM}

procedure Tf_options.rb_noneClick(Sender: TObject);
begin
  if rb_none.Checked then
  begin
    lab_fieldterminator.enabled:=True;
    lab_rowterminator.enabled:=True;
    e_fieldterminator.enabled:=True;
    e_rowterminator.enabled:=True;
  end;
end;

procedure Tf_options.rb_nativeClick(Sender: TObject);
begin
  if not rb_none.Checked then
  begin
    lab_fieldterminator.enabled:=False;
    lab_rowterminator.enabled:=False;
    e_fieldterminator.enabled:=False;
    e_rowterminator.enabled:=False;
  end;
end;

procedure Tf_options.rb_characterClick(Sender: TObject);
begin
  if not rb_none.Checked then
  begin
    lab_fieldterminator.enabled:=False;
    lab_rowterminator.enabled:=False;
    e_fieldterminator.enabled:=False;
    e_rowterminator.enabled:=False;
  end;
end;

procedure Tf_options.FormActivate(Sender: TObject);
begin
  if not rb_none.Checked then
  begin
    lab_fieldterminator.enabled:=False;
    lab_rowterminator.enabled:=False;
    e_fieldterminator.enabled:=False;
    e_rowterminator.enabled:=False;
  end;
end;

end.
